diff -uwr sourceold/scripts/scripts.vcxproj.filters source/scripts/scripts.vcxproj.filters
--- sourceold/scripts/scripts.vcxproj.filters	2011-11-22 14:49:49.159179600 +0800
+++ source/scripts/scripts.vcxproj.filters	2012-03-06 21:47:37.586914000 +0800
@@ -467,6 +467,12 @@
     <ClCompile Include="iran_scripts.cpp">
       <Filter>01. Sources</Filter>
     </ClCompile>
+    <ClCompile Include="tcw_superweapons.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="z_domination.cpp">
+      <Filter>01. Sources</Filter>
+    </ClCompile>
   </ItemGroup>
   <ItemGroup>
     <ResourceCompile Include="scripts.rc">
@@ -1419,6 +1425,12 @@
     <ClInclude Include="iran_scripts.h">
       <Filter>02. Headers</Filter>
     </ClInclude>
+    <ClInclude Include="tcw_superweapons.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="z_domination.h">
+      <Filter>02. Headers</Filter>
+    </ClInclude>
   </ItemGroup>
   <ItemGroup>
     <None Include="console.txt">
diff -uwr sourceold/scripts/shawk.cpp source/scripts/shawk.cpp
--- sourceold/scripts/shawk.cpp	2011-10-11 23:06:16.314453100 +0800
+++ source/scripts/shawk.cpp	2012-02-13 19:12:33.955476500 +0800
@@ -120,6 +120,7 @@
 			token = strtok (NULL, ";");
 		}
 		delete[] presets;
+		Destroy_Script();
 	};
 };
 
@@ -130,6 +131,7 @@
 		VehicleGameObj* vehicle_obj = obj->As_VehicleGameObj();
 		if (!vehicle_obj) return;
 		vehicle_obj->Set_Allow_Stealth_While_Empty(true);
+		Destroy_Script();
 	}
 };
 
@@ -138,6 +140,7 @@
 	void Created(GameObject* obj)
 	{
 		if (VehicleGameObj* vobj = obj->As_VehicleGameObj()) vobj->Set_Can_Be_Stolen(true);
+		Destroy_Script();
 	}
 };
 
@@ -146,6 +149,7 @@
 	void Created(GameObject* obj)
 	{
 		if (SoldierGameObj* sobj = obj->As_SoldierGameObj()) sobj->Set_Can_Steal_Vehicles(true);
+		Destroy_Script();
 	}
 };
 
@@ -154,6 +158,7 @@
 	void Created(GameObject* obj)
 	{
 		if (SoldierGameObj* sobj = obj->As_SoldierGameObj()) sobj->Set_Can_Drive_Vehicles(false);
+		Destroy_Script();
 	}
 };
 
diff -uwr sourceold/scripts/tcw_building.cpp source/scripts/tcw_building.cpp
--- sourceold/scripts/tcw_building.cpp	2011-10-14 22:25:11.481445300 +0800
+++ source/scripts/tcw_building.cpp	2012-02-02 09:44:43.142578100 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -74,15 +74,25 @@
 	{
 		Create_2D_WAV_Sound_Team("nod_powerplant_destroyed_gdi.wav",1);
 		Create_2D_WAV_Sound_Team("nod_powerplant_destroyed_nod.wav",0);
-		Send_Message_Team(1,255,255,255,"Nod Power Plant destroyed. Nod base power offline.");
-		Send_Message_Team(0,255,255,255,"Nod Power Plant destroyed. Low Power.");
+		Send_Message_Team(1,255,255,255,"Nod Power Plant destroyed.");
+		Send_Message_Team(0,255,255,255,"Nod Power Plant destroyed.");
+		if (Find_Building_By_Name(0,"TCW_Nod_Oper_Centre"))
+		{
+			Enable_Base_Radar(0,false);
+			Create_2D_WAV_Sound_Team("radar_off.wav",0);
+		}
 	}
 	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_GDI_Power_Plant") == 0)
 	{
 		Create_2D_WAV_Sound_Team("gdi_powerplant_destroyed_gdi.wav",1);
 		Create_2D_WAV_Sound_Team("gdi_powerplant_destroyed_nod.wav",0);
-		Send_Message_Team(1,255,255,255,"GDI Power Plant destroyed. Low power.");
-		Send_Message_Team(0,255,255,255,"GDI Power Plant destroyed. GDI base power offline.");
+		Send_Message_Team(1,255,255,255,"GDI Power Plant destroyed.");
+		Send_Message_Team(0,255,255,255,"GDI Power Plant destroyed.");
+		if (Find_Building_By_Name(1,"TCW_GDI_Command_Post"))
+		{
+			Enable_Base_Radar(1,false);
+			Create_2D_WAV_Sound_Team("radar_off.wav",1);
+		}
 	}
 	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_Nod_Airfield") == 0)
 	{
@@ -93,18 +103,42 @@
 	}
 	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_GDI_Command_Post") == 0)
 	{
-		Create_2D_WAV_Sound_Team("gdi_operctr_destroyed_gdi.wav",1);
-		Create_2D_WAV_Sound_Team("nod_operctr_destroyed_nod.wav",0);
 		Send_Message(255,255,255,"GDI Command Post destroyed.");
 		Commands->Set_Animation(obj,"V_GDI_CPOST.V_GDI_CPOST",true,0,1,1,0);
 		Enable_Base_Radar(1,false);
+		Create_2D_WAV_Sound_Team("radar_off.wav",1);
 	}
-	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_Nod_Oper_Centre") == 0)
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_OpCtr") == 0)
 	{
-		Create_2D_WAV_Sound_Team("gdi_operctr_destroyed_gdi.wav",1);
-		Create_2D_WAV_Sound_Team("nod_operctr_destroyed_nod.wav",0);
-		Send_Message(255,255,255,"GDI Command Post destroyed.");
+		Create_2D_WAV_Sound_Team("nod_operations_centre_destroyed_gdi.wav",1);
+		Send_Message(255,255,255,"Nod Operations Centre destroyed.");
 		Enable_Base_Radar(0,false);
+		Create_2D_WAV_Sound_Team("radar_off.wav",0);
+	}
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_Armory") == 0)
+	{
+		Send_Message(255,255,255,"GDI Armory destroyed.");
+	}
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Silo") == 0)
+	{
+		Create_2D_WAV_Sound_Team("nod_tiberium_silo_destroyed_nod.wav",0);
+		Send_Message(255,255,255,"Nod Tiberium Silo destroyed.");
+	}
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_Silo") == 0)
+	{
+		Send_Message(255,255,255,"GDI Tiberium Silo destroyed.");
+	}
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_IonCtr") == 0)
+	{
+		Send_Message(255,255,255,"GDI Ion Cannon Control Center destroyed.");
+		Create_2D_WAV_Sound_Team("gdi_ion_center_destroyed_gdi.wav",1);
+		Create_2D_WAV_Sound_Team("gdi_ion_center_destroyed_nod.wav",0);
+	}
+	else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Tmpl") == 0)
+	{
+		Send_Message(255,255,255,"Temple of Nod destroyed.");
+		Create_2D_WAV_Sound_Team("nod_temple_destroyed_nod.wav",0);
+		Create_2D_WAV_Sound_Team("nod_temple_destroyed_gdi.wav",1);
 	}
 }
 void tcw_building::Damaged(GameObject *obj, GameObject *damager, float damage)
@@ -195,18 +229,48 @@
 					Send_Message_Team(1,255,255,255,"Nod Airfield under attack.");
 				}
 				else if ( (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_Armory") == 0) ||
-					(strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_Silo") == 0) || 
-					(strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_CmdPost") == 0) )
+					(strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_Silo") == 0) )
 				{
 					Create_2D_WAV_Sound_Team("gdi_our_base_under_attack.wav",1);
 					Send_Message_Team(1,255,255,255,"Our Base is under attack.");
 				}
-				else if ( (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Shrine") == 0) || 
-					(strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Silo") == 0) || 
-					(strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_OpCtr") == 0) )
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_CmdPost") == 0)
+				{
+					Create_2D_WAV_Sound_Team("gdi_command_post_under_attack_gdi.wav",1);
+					Send_Message_Team(1,255,255,255,"Warning GDI Command Post under attack.");
+				}
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_OpCtr") == 0)
+				{
+					Create_2D_WAV_Sound_Team("nod_operations_centre_under_attack_gdi.wav",1);
+					Send_Message_Team(1,255,255,255,"Nod Operations Centre under attack.");
+					Create_2D_WAV_Sound_Team("nod_our_base_under_attack.wav",0);
+					Send_Message_Team(0,255,255,255,"Our Base is under attack.");
+				}
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Shrine") == 0)
 				{
 					Create_2D_WAV_Sound_Team("nod_our_base_under_attack.wav",0);
 					Send_Message_Team(0,255,255,255,"Our Base is under attack.");
+					Create_2D_WAV_Sound_Team("nod_shrine_under_attack_gdi.wav",1);
+					Send_Message_Team(1,255,255,255,"Shrine of Nod under attack.");
+				}
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Silo") == 0)
+				{
+					Create_2D_WAV_Sound_Team("nod_tiberium_silo_under_attack_nod.wav",0);
+					Send_Message_Team(0,255,255,255,"Warning Nod Tiberium Silo under attack.");
+				}
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_GDI_IonCtr") == 0)
+				{
+					Create_2D_WAV_Sound_Team("gdi_ion_center_under_attack_nod.wav",0);
+					Send_Message_Team(0,255,255,255,"GDI Ion Cannon Control Center under attack.");
+					Create_2D_WAV_Sound_Team("gdi_ion_center_under_attack_gdi.wav",1);
+					Send_Message_Team(1,255,255,255,"Warning GDI Ion Cannon Control Center under attack.");
+				}
+				else if (strcmp(Commands->Get_Preset_Name(obj),"TCW_VehBld_Nod_Tmpl") == 0)
+				{
+					Create_2D_WAV_Sound_Team("nod_temple_under_attack_nod.wav",0);
+					Send_Message_Team(0,255,255,255,"Warning Temple of Nod under attack.");
+					Create_2D_WAV_Sound_Team("nod_temple_under_attack_gdi.wav",1);
+					Send_Message_Team(1,255,255,255,"Temple of Nod under attack.");
 				}
 			}
 		}
diff -uwr sourceold/scripts/tcw_building.h source/scripts/tcw_building.h
--- sourceold/scripts/tcw_building.h	2011-10-14 22:27:32.042968700 +0800
+++ source/scripts/tcw_building.h	2012-02-02 09:44:43.155273400 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_center_point.cpp source/scripts/tcw_center_point.cpp
--- sourceold/scripts/tcw_center_point.cpp	2011-10-14 22:25:11.539062500 +0800
+++ source/scripts/tcw_center_point.cpp	2012-02-02 09:44:43.169921800 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -44,7 +44,7 @@
 				{
 					if (create_cruiser_countdown_object)//if the cruisercountdown object may be created
 					{
-						Send_Message(255,255,255,"Nod has captured the Countdown Point. 1 Minute for Cruiser Attacks.");
+						Send_Message(255,255,255,"Nod has captured the Countdown Control Point. One Minute for Cruiser Attacks.");
 						create_cruiser_countdown_object = false;//its being created here so we set it to false so it doesnt get made a 2nd time
 						Vector3 countdown_object_pos;
 						countdown_object_pos.X = 0.0f; countdown_object_pos.Y = 0.0f; countdown_object_pos.Z = 0.0f;
@@ -54,6 +54,14 @@
 						sprintf(prms,"%d,%d,%d,%d,%d",0,nod_bar_turret_id,nod_ref_turret_id,gdi_hand_turret_id,gdi_ref_turret_id);
 						Attach_Script_Once(countdown_object,"tcw_cp_cruiser_countdown",prms);
 
+						Create_2D_WAV_Sound_Team("ControlPointCaptured_Nod.wav",0);
+						Create_2D_WAV_Sound_Team("ControlPointLost_GDI.wav",1);
+
+						if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
+						{
+							Commands->Give_Money(damager,500.0f,true);
+						}
+
 						if (!Commands->Find_Object(nodveh1id))
 						{
 							if (strcmp(Get_Parameter("NodVeh1"), "0") != 0)
@@ -87,7 +95,7 @@
 				{
 					if (create_cruiser_countdown_object)
 					{
-						Send_Message(255,255,255,"GDI has captured the Countdown Point. 1 Minute for Cruiser Attacks.");
+						Send_Message(255,255,255,"GDI has captured the Countdown Control Point. One Minute for Cruiser Attacks.");
 						create_cruiser_countdown_object = false;
 						Vector3 countdown_object_pos;
 						countdown_object_pos.X = 0.0f; countdown_object_pos.Y = 0.0f; countdown_object_pos.Z = 0.0f;
@@ -97,6 +105,14 @@
 						sprintf(prms,"%d,%d,%d,%d,%d",1,nod_bar_turret_id,nod_ref_turret_id,gdi_hand_turret_id,gdi_ref_turret_id);
 						Attach_Script_Once(countdown_object,"tcw_cp_cruiser_countdown",prms);
 
+						Create_2D_WAV_Sound_Team("ControlPointLost_Nod.wav",0);
+						Create_2D_WAV_Sound_Team("ControlPointCaptured_GDI.wav",1);
+
+						if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
+						{
+							Commands->Give_Money(damager,500.0f,true);
+						}
+
 						if (!Commands->Find_Object(nodveh1id))
 						{
 							if (strcmp(Get_Parameter("GDIVeh1"), "0") != 0)
@@ -191,11 +207,11 @@
 					//destroy the spawned vehicles
 					if ( (Commands->Find_Object(gdiveh1id)) && (!Get_Vehicle_Driver(Commands->Find_Object(gdiveh1id))) )
 					{
-						Commands->Apply_Damage(Commands->Find_Object(gdiveh1id),999999.0f,"Steel",obj);		gdiveh1id = 0;
+						Commands->Apply_Damage(Commands->Find_Object(gdiveh1id),999999.0f,"Death",obj);		gdiveh1id = 0;
 					}
 					if ( (Commands->Find_Object(gdiveh2id)) && (!Get_Vehicle_Driver(Commands->Find_Object(gdiveh2id))) )
 					{
-						Commands->Apply_Damage(Commands->Find_Object(gdiveh2id),999999.0f,"Steel",obj);		gdiveh2id = 0;
+						Commands->Apply_Damage(Commands->Find_Object(gdiveh2id),999999.0f,"Death",obj);		gdiveh2id = 0;
 					}
 				}
 			}
diff -uwr sourceold/scripts/tcw_center_point.h source/scripts/tcw_center_point.h
--- sourceold/scripts/tcw_center_point.h	2011-10-15 12:39:38.261718700 +0800
+++ source/scripts/tcw_center_point.h	2012-02-02 09:44:43.139648400 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_coop.cpp source/scripts/tcw_coop.cpp
--- sourceold/scripts/tcw_coop.cpp	2011-10-14 22:25:11.445312500 +0800
+++ source/scripts/tcw_coop.cpp	2012-02-02 09:44:43.115234300 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -97,7 +97,20 @@
 	Commands->Enable_Spawner(Get_Int_Parameter("Spawner10"),Get_Int_Parameter("Enable"));
 }
 
+void tcw_midlight_eva1::Created(GameObject *obj)
+{
+	Commands->Start_Timer(obj,this,17.0f,123123123);//skip over the map intro
+}
+void tcw_midlight_eva1::Timer_Expired(GameObject *obj, int number)
+{
+	if (number == 123123123)
+	{
+		Send_Message(255,204,0,"Lt. Sandra Telfair: Remember Commanders that by destroying the enemy Hand of Nod you stop infantry reinforcements.");
+		Commands->Create_2D_WAV_Sound("midlight_destroy_hand_stop_reinf.wav");
+	}
+}
 
+ScriptRegistrant<tcw_midlight_eva1> tcw_midlight_eva1_Registrant("tcw_midlight_eva1","");
 ScriptRegistrant<tcw_enable_spawners_killed> tcw_enable_spawners_killed_Registrant("tcw_enable_spawners_killed","Enable=0:int,Spawner01=0:int,Spawner02=0:int,Spawner03=0:int,Spawner04=0:int,Spawner05=0:int,Spawner06=0:int,Spawner07=0:int,Spawner08=0:int,Spawner09=0:int,Spawner10=0:int,");
 ScriptRegistrant<tcw_attach_script_simple_timer> tcw_attach_script_simple_timer_Registrant("tcw_attach_script_simple_timer","Time=0:float,TimerID=100:int,Scriptname=bla:string");
 ScriptRegistrant<tcw_i_am_a_bot> tcw_i_am_a_bot_Registrant("tcw_i_am_a_bot","");
diff -uwr sourceold/scripts/tcw_coop.h source/scripts/tcw_coop.h
--- sourceold/scripts/tcw_coop.h	2011-10-15 12:39:38.276367100 +0800
+++ source/scripts/tcw_coop.h	2012-02-02 09:44:43.180664000 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -26,3 +26,8 @@
 class tcw_enable_spawners_killed : public ScriptImpClass {
 	void Killed(GameObject *obj, GameObject *shooter);
 };
+
+class tcw_midlight_eva1 : public ScriptImpClass {
+	void Created(GameObject *obj);
+	void Timer_Expired(GameObject *obj, int number);
+};
diff -uwr sourceold/scripts/tcw_coop_cruising.cpp source/scripts/tcw_coop_cruising.cpp
--- sourceold/scripts/tcw_coop_cruising.cpp	2011-10-14 22:25:11.524414000 +0800
+++ source/scripts/tcw_coop_cruising.cpp	2012-02-02 09:44:43.161132800 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_coop_cruising.h source/scripts/tcw_coop_cruising.h
--- sourceold/scripts/tcw_coop_cruising.h	2011-10-15 12:39:38.278320300 +0800
+++ source/scripts/tcw_coop_cruising.h	2012-02-02 09:44:43.183593700 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_defence.cpp source/scripts/tcw_defence.cpp
--- sourceold/scripts/tcw_defence.cpp	2011-10-14 22:25:11.495117100 +0800
+++ source/scripts/tcw_defence.cpp	2012-02-02 09:44:43.149414000 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_defence.h source/scripts/tcw_defence.h
--- sourceold/scripts/tcw_defence.h	2011-10-15 12:39:38.285156200 +0800
+++ source/scripts/tcw_defence.h	2012-02-02 09:44:43.190429600 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_domination.cpp source/scripts/tcw_domination.cpp
--- sourceold/scripts/tcw_domination.cpp	2011-10-15 12:39:38.263671800 +0800
+++ source/scripts/tcw_domination.cpp	2012-02-02 09:44:43.144531200 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -65,24 +65,24 @@
 			if (points_gdi > points_nod)
 			{
 				char status[250]; char lead[250];
-				sprintf(status,"GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
-				sprintf(lead,"GDI leads the game with a %d points lead",points_gdi-points_nod);
-				Send_Message(255,255,255,status);
-				Send_Message(255,255,255,lead);
+				sprintf(status,"msg GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
+				sprintf(lead,"msg GDI leads the game with a %d points lead",points_gdi-points_nod);
+				Console_Input(status);
+				Console_Input(lead);
 			}
 			else if (points_nod > points_gdi)
 			{
 				char status[250]; char lead[250];
-				sprintf(status,"GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
-				sprintf(lead,"Nod leads the game with a %d points lead",points_nod-points_gdi);
-				Send_Message(255,255,255,status);
-				Send_Message(255,255,255,lead);
+				sprintf(status,"msg GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
+				sprintf(lead,"msg Nod leads the game with a %d points lead",points_nod-points_gdi);
+				Console_Input(status);
+				Console_Input(lead);
 			}
 			else
 			{
 				char status[250];
-				sprintf(status,"GDI: %d points ----- Nod: %d points",points_gdi,points_nod);
-				Send_Message(255,255,255,status);
+				sprintf(status,"msg GDI: %d points ----- Nod: %d points",points_gdi,points_nod);
+				Console_Input(status);
 			}
 		}
 	}
@@ -94,24 +94,24 @@
 		if (points_gdi > points_nod)
 		{
 			char status[250]; char lead[250];
-			sprintf(status,"GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
-			sprintf(lead,"GDI leads the game with a %d points lead",points_gdi-points_nod);
-			Send_Message(255,255,255,status);
-			Send_Message(255,255,255,lead);
+			sprintf(status,"msg GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
+			sprintf(lead,"msg GDI leads the game with a %d points lead",points_gdi-points_nod);
+			Console_Input(status);
+			Console_Input(lead);
 		}
 		else if (points_nod > points_gdi)
 		{
 			char status[250]; char lead[250];
-			sprintf(status,"GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
-			sprintf(lead,"Nod leads the game with a %d points lead",points_nod-points_gdi);
-			Send_Message(255,255,255,status);
-			Send_Message(255,255,255,lead);
+			sprintf(status,"msg GDI: %d points -- Nod: %d points -- Required: %d points",points_gdi,points_nod,points_max);
+			sprintf(lead,"msg Nod leads the game with a %d points lead",points_nod-points_gdi);
+			Console_Input(status);
+			Console_Input(lead);
 		}
 		else
 		{
 			char status[250];
-			sprintf(status,"GDI: %d points ----- Nod: %d points",points_gdi,points_nod);
-			Send_Message(255,255,255,status);
+			sprintf(status,"msg GDI: %d points ----- Nod: %d points",points_gdi,points_nod);
+			Console_Input(status);
 		}
 		Commands->Start_Timer(obj,this,120.0f,123439348);
 	}
@@ -233,7 +233,13 @@
 					}
 				}
 
-				char capturemsg[250];	sprintf(capturemsg,"Nod captured the %s node.",nodename);	Send_Message(255,255,255,capturemsg);
+				char capturemsg[250];	sprintf(capturemsg,"Nod captured the %s Control Point.",nodename);	Send_Message(255,255,255,capturemsg);
+				Create_2D_WAV_Sound_Team("ControlPointCaptured_Nod.wav",0); 
+				Create_2D_WAV_Sound_Team("ControlPointLost_GDI.wav",1);
+				if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
+				{
+					Commands->Give_Money(damager,500.0f,true);
+				}
 			}
 		}
 		else if (owner == 1)
@@ -304,7 +310,13 @@
 					}
 				}
 
-				char capturemsg[250];	sprintf(capturemsg,"GDI captured the %s node.",nodename);	Send_Message(255,255,255,capturemsg);
+				char capturemsg[250];	sprintf(capturemsg,"GDI captured the %s Control Point.",nodename);	Send_Message(255,255,255,capturemsg);
+				Create_2D_WAV_Sound_Team("ControlPointCaptured_GDI.wav",1); 
+				Create_2D_WAV_Sound_Team("ControlPointLost_Nod.wav",0);
+				if (Commands->Get_Player_Type(damager) == Commands->Get_Player_Type(obj))
+				{
+					Commands->Give_Money(damager,500.0f,true);
+				}
 			}
 		}
 	}
diff -uwr sourceold/scripts/tcw_domination.h source/scripts/tcw_domination.h
--- sourceold/scripts/tcw_domination.h	2011-10-15 12:39:38.281250000 +0800
+++ source/scripts/tcw_domination.h	2012-02-02 09:44:43.185546800 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
diff -uwr sourceold/scripts/tcw_game.cpp source/scripts/tcw_game.cpp
--- sourceold/scripts/tcw_game.cpp	2011-10-14 22:25:11.459960900 +0800
+++ source/scripts/tcw_game.cpp	2012-02-08 00:15:43.935546800 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -133,7 +133,21 @@
 void tcw_tiberium_spike::Created(GameObject *obj)
 {
 	firstcapture = true;
-	Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0);
+	Commands->Set_Health(obj,1.0f);
+	//Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //unteamed spikes dont animate
+}
+void tcw_tiberium_spike::Damaged(GameObject *obj, GameObject *damager, float damage)
+{
+	if (damage > 0.0f)
+	{
+		if (damage > Commands->Get_Health(obj))//destroyed
+		{
+			Commands->Set_Health(obj,1.0f);
+			Remove_Script(obj,"tcw_Credit_Trickle");
+			Commands->Set_Player_Type(obj,-2);//unteam it again
+			Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,1,0); //stop animate when uncaptured
+		}
+	}
 }
 void tcw_tiberium_spike::Custom(GameObject *obj, int message, int param, GameObject *sender)
 {
@@ -147,10 +161,14 @@
 				firstcapture = false;
 				Commands->Give_Money(obj,250.0f,1);
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
 			}
 			else
 			{
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
 			}
 		}
 		else if (param == 1)
@@ -161,10 +179,14 @@
 				firstcapture = false;
 				Commands->Give_Money(obj,250.0f,1);
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
 			}
 			else
 			{
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
 			}
 		}
 	}
@@ -177,10 +199,14 @@
 			{
 				firstcapture = false;
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
 			}
 			else
 			{
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
 			}
 		}
 		else if (param == 1)
@@ -190,10 +216,14 @@
 			{
 				firstcapture = false;
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
 			}
 			else
 			{
 				Attach_Script_Once(obj,"tcw_Credit_Trickle","5,1");
+				Commands->Set_Health(obj,Commands->Get_Max_Health(obj)); //captured repair it
+				Commands->Set_Animation(obj,"V_NEU_SPIKE.V_NEU_SPIKE",true,0,1,-1,0); //start animate when captured
 			}
 		}
 	}
@@ -741,7 +771,14 @@
 					if (!Is_Building_Dead(Find_Building(team,BuildingConstants::TYPE_REFINERY)))
 					{
 						Commands->Give_Money(Commands->Find_Object(driverid),tiberiumvalue,true);
+						if (hasgreen)
+						{
 						Commands->Give_Points(Commands->Find_Object(driverid),50.0f,0);
+						}
+						if (hasblue)
+						{
+							Commands->Give_Points(Commands->Find_Object(driverid),75.0f,0);
+						}
 						if (team == 0)
 						{
 							char dumpmsg[250];
@@ -771,7 +808,7 @@
 	{
 		if (harvesting)
 		{
-			if (tiberiumvalue < 1400.0f)
+			if (tiberiumvalue < 800.0f)
 			{
 				Commands->Start_Timer(obj,this,1.0f,10500);
 				tiberiumvalue = tiberiumvalue+100.0f;
@@ -789,7 +826,7 @@
 					Send_Message_Player(Commands->Find_Object(driverid),255,204,0,amount);
 				}
 
-				if (tiberiumvalue == 1400.0f)
+				if (tiberiumvalue == 800.0f)
 				{
 					if (team == 0)
 					{
@@ -810,7 +847,7 @@
 	{
 		if (harvesting)
 		{
-			if (tiberiumvalue < 2800.0f)
+			if (tiberiumvalue < 1600.0f)
 			{
 				Commands->Start_Timer(obj,this,1.0f,10501);
 				tiberiumvalue = tiberiumvalue+200.0f;
@@ -828,7 +865,7 @@
 					Send_Message_Player(Commands->Find_Object(driverid),255,204,0,amount);
 				}
 
-				if (tiberiumvalue == 2800.0f)
+				if (tiberiumvalue == 1600.0f)
 				{
 					if (team == 0)
 					{
diff -uwr sourceold/scripts/tcw_game.h source/scripts/tcw_game.h
--- sourceold/scripts/tcw_game.h	2011-10-15 12:39:38.274414000 +0800
+++ source/scripts/tcw_game.h	2012-02-08 00:15:44.309570300 +0800
@@ -1,6 +1,6 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://dev.mp-gaming.com
-	Copyright 2011-2012 MP-Gaming
+	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it 
@@ -27,6 +27,7 @@
 	void Created(GameObject *obj);
 	void Custom(GameObject *obj,int type,int param,GameObject *sender);
 	public: void Register_Auto_Save_Variables();
+	void Damaged(GameObject *obj, GameObject *damager, float damage);
 	bool firstcapture;
 };
 
@@ -190,4 +191,8 @@
 
 
 
+
+
+
+
 
